All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
uhd::usrp Namespace Reference

## Classes

class | dboard_base
class | xcvr_dboard_base
class | rx_dboard_base
class | tx_dboard_base
struct | dboard_eeprom_t
class | dboard_id_t
struct | dboard_iface_special_props_t
| Special properties that differentiate this daughterboard slot. More...
class | dboard_iface
class | dboard_manager
struct | mboard_eeprom_t
class | multi_usrp
struct | subdev_spec_pair_t
class | subdev_spec_t

## Functions

UHD_API bool | operator== (const dboard_id_t &lhs, const dboard_id_t &rhs)
UHD_API bool | operator== (const subdev_spec_pair_t &, const subdev_spec_pair_t &)
| overloaded comparison operator for subdev_spec_pair_t More...

## Function Documentation

UHD_API bool uhd::usrp::operator== | ( | const subdev_spec_pair_t & | ,
|  | const subdev_spec_pair_t & |
| ) |  |

overloaded comparison operator for subdev_spec_pair_t

UHD_API bool uhd::usrp::operator== | ( | const dboard_id_t & | lhs,
|  | const dboard_id_t & | rhs
| ) |  |

Comparator operator overloaded for dboard ids. The boost::equality_comparable provides the !=.

Parameters

  lhs | the dboard id to the left of the operator
  rhs | the dboard id to the right of the operator

Returns
  true when the dboard ids are equal